/**
 * Copyright: Copyright (c) 2008 Jacob Carlborg. All rights reserved.
 * Authors: Jacob Carlborg
 * Version: Initial created: 2008
 * License: $(LINK2 http://opensource.org/licenses/bsd-license.php, BSD Style)
 * 
 */
module dwt.internal.objc.appkit.NSAttributedString;

import dwt.internal.cocoa.NSString;
import bindings = dwt.internal.objc.appkit.bindings;
import dwt.internal.objc.runtime;

id NSBackgroundColorAttributeName ()
{
    return bindings.DCB_NSBackgroundColorAttributeName;
}

NSString NSBaselineOffsetAttributeName ()
{
    return new NSString(bindings.DCB_NSBaselineOffsetAttributeName);
}

NSString NSFontAttributeName ()
{
    return new NSString(bindings.DCB_NSFontAttributeName);
}

NSString NSForegroundColorAttributeName ()
{
    return new NSString(bindings.DCB_NSForegroundColorAttributeName);
}

NSString NSLinkAttributeName ()
{
    return new NSString(bindings.DCB_NSLinkAttributeName);
}

NSString NSParagraphStyleAttributeName ()
{
    return new NSString(bindings.DCB_NSParagraphStyleAttributeName);
}

NSString NSStrikethroughColorAttributeName ()
{
    return new NSString(bindings.DCB_NSStrikethroughColorAttributeName);
}

NSString NSStrikethroughStyleAttributeName ()
{
    return new NSString(bindings.DCB_NSStrikethroughStyleAttributeName);
}

NSString NSUnderlineColorAttributeName ()
{
    return new NSString(bindings.DCB_NSUnderlineColorAttributeName);
}

NSString NSUnderlineStyleAttributeName ()
{
    return new NSString(bindings.DCB_NSUnderlineStyleAttributeName);
}